CVE-2017-11333

NameCVE-2017-11333
DescriptionThe vorbis_analysis_wrote function in lib/block.c in Xiph.Org libvorbis 1.3.5 allows remote attackers to cause a denial of service (OOM) via a crafted wav file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1368-1, DLA-2039-1, DSA-4113-1
NVD severitymedium
Debian Bugs870341

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libvorbis (PTS)jessie1.3.4-2+deb8u1vulnerable
jessie (security)1.3.4-2+deb8u3fixed
stretch (security), stretch1.3.5-4+deb9u2fixed
bullseye, sid, buster1.3.6-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libvorbissource(unstable)1.3.5-4.1low870341
libvorbissourcejessie1.3.4-2+deb8u3DLA-2039-1
libvorbissourcestretch1.3.5-4+deb9u1DSA-4113-1
libvorbissourcewheezy1.3.2-1.3+deb7u1DLA-1368-1

Notes

http://seclists.org/fulldisclosure/2017/Jul/82
https://gitlab.xiph.org/xiph/vorbis/issues/2332
Fixed by: https://gitlab.xiph.org/xiph/vorbis/commit/a79ec216cd119069c68b8f3542c6a425a74ab993

Search for package or bug name: Reporting problems